/// This library comprises Human Trafficking Case Data Standard (HTCDS)
/// objects, for easy creation, storage and transmission of case data
/// related to human trafficking.
///
/// The Human Trafficking Case Data Standard (HTCDS) is a global
/// format and common approach to collecting and recording case data
/// related to human trafficking. The standard will enable organizations
/// around the world to collect and potentially share information
/// related to human trafficking cases in a consistent way.
///
/// The HTCDS is intended to be a reference for organizations
/// handling cases related to human trafficking, technology
/// service providers and independent software vendors (ISVs).
library htcds;

export 'src/case.dart';
export 'src/person.dart';
export 'src/victim.dart';
export 'src/constants/gender.dart';
export 'src/constants/method_of_control.dart';
export 'src/constants/method_of_recruitment.dart';
export 'src/constants/forced_labour_industry.dart';
export 'src/constants/type_of_exploitation.dart';
